Skip to main content
DELETE
/
v2
/
flow
/
agents
/
{agent_id}
Delete agent
curl --request DELETE \
  --url https://flow.seekr.com/v2/flow/agents/{agent_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v2/flow/agents/{agent_id}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v2/flow/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "deleted": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Path Parameters

agent_id
string
required

Response

Successful Response

id
string
required
deleted
boolean
required
Last modified on July 10, 2026